Subject: Re: change wallpaper periodly by cron?
From: "Ehud Karni" <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Aug 2003 16:31:52 +0300

On Thu, 21 Aug 2003 04:15:29 +0100, Elfyn McBratney <[email-masked]> wrote:
>
> Lucifer <[email-masked]> wrote:
> > On Wed, 20 Aug 2003 10:20:10 +0200
> > Corinna Vinschen <[email-masked]> wrote:
> >
> > CV>
> > CV> It's a limitation of service processes.  You can only change it by setting
> > CV> the "Allow service to interact with desktop" property of the service.
> > CV>
> >
> > I enabled the "Allow service to interact with desktop" and it works now,
> > thank you.  However, a DOS window titled as c:\cygwin\bin\cygrunsrv.exe
> > popped out.  It's ugly.  Can that be avoided?
>
> AFAIK, it cannot. It's the ugly side effect of interactive service(s) on
> Windows.

Try to compile your program with -mwindows (without changing your
"main" function). I use this trick when I want a program without a
window (or console). If you run it from bash (or sh/csh) you wont
notice any change, but if you run it under command or cmd, it will
run without a (console) window.

Ehud.

- --
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]                  Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/